Skip to content

Transfer Method Query ​

API Information

  • Path: api/v1/acct/queryPaymentMethods
  • Method: POST
  • Content-Type: application/json

Business Description

  • Different countries may support different Payment Methods. This API is used to query the Payment Methods supported by specific countries and currencies
  • Call this API before adding payees to confirm the Payment Methods supported by the target country

E-wallet payouts

When paymentMethods includes E_WALLET and you choose an e-wallet payout, select a walletType from the wallet enum table and include it in the payee required fields query. For payee creation or payment with payee details, supply walletType and the wallet account identifier walletPhone inside accountInfomation.

Request Parameters ​

Request Body ​

ParameterTypeDescriptionRequired
merchantNostringThe merchant number of the request initiator.M
onBehalfOfstringThe merchant number that the request is actually associated with. Provide this field only when initiating a request on behalf of another merchant.N
destinationCountrystring(10)Destination country for payment submission, e.g.: PHM
accountCurrencystring(10)Account currency, e.g.: PHPM
entityTypestring(1)Entity type [0: Company, 1: Individual]M
signstringSignatureM
Request Example
json
{
  "merchantNo": "800181",
  "destinationCountry": "PH",
  "accountCurrency": "PHP",
  "entityType": "1",
  "sign": "a1b2c3d4e5f6g7h8i9j0"
}

Response Result ​

Response Body ​

ParameterTypeDescription
respCodestringResponse code
respMsgstringResponse message
dataobjectResponse data
  └─destinationCountrystringDestination country for payment submission
  └─accountCurrencystringAccount currency
  └─entityTypestringEntity type
  └─paymentMethodsarrayPayment method list
Response Example
json
{
  "respCode": "20000",
  "respMsg": "Success",
  "data": {
    "destinationCountry": "PH",
    "accountCurrency": "PHP",
    "entityType": "1",
    "paymentMethods": ["BANK_TRANSFER", "DIGITAL_WALLET"]
  }
}